# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(HTTP/Headers.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(LWP/UserAgent.pm) perl(List/Util.pm) perl(Math/BigInt.pm) perl(Module/Build.pm) perl(Scalar/Util.pm) perl(Switch.pm) perl(Test/More.pm) perl(Tie/RefHash.pm) perl(URI.pm) perl(fields.pm)
# END SourceDeps(oneline)
%define module_version 0.12
%define module_name Hessian-Tiny
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt1
Summary: Hessian RPC Client implementation in pure Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DU/DUL/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Hessian is a compact binary protocol for web communication in form of client/server RPC.

This module allows you to write Hessian clients in Perl.

This module supports Hessian Protocol 1.0 and 2.0

Perl 5.6.0 or later is required to install this modle.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/H*

%changelog
* Mon Mar 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- initial import by package builder

